Download it now!
Bug 112034 - notebookbar: label collor didn't use system color
Summary: notebookbar: label collor didn't use system color
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Kshitij
URL:
Whiteboard: target:6.2.0 target:6.1.0.2
Keywords:
Depends on:
Blocks: Notebookbar-Theming
  Show dependency treegraph
 
Reported: 2017-08-25 23:43 UTC by andreas_k
Modified: 2018-08-06 11:40 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot how it work (143.01 KB, image/png)
2017-08-26 18:25 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2017-08-25 23:43:45 UTC
if you use a dark color theme or change to UX text color in the options, the menubar text change but not the labels in the notebookbars.
Comment 1 andreas_k 2017-08-26 18:25:13 UTC
Created attachment 135805 [details]
screenshot how it work

The benefit of Firefox Personas is that it can make LibreOffice fancy. I know it's not that easy but we didn't have anything else so it's the easiest way that LibreOffice didn't look like a 2000 app.

I'm happy with LibreOffice look in kde but as Firefox Personas is available it would be awesome to support it perfect.
Comment 2 Thorsten Behrens (CIB) 2017-09-09 20:40:31 UTC
Samuel, Bubli, got a code pointer for Andreas?
Comment 3 andreas_k 2017-10-16 06:34:32 UTC
Caolán McNamara can you have a look it's about color theming and I think you know where to change it.

Firefox Personas theme the background AND the text color of the menubar. would be awesome if the labels of the notebookbar will follow the text color AND also the icon color (when the icon is automatic)
Comment 4 Peter Maunder 2017-10-18 14:55:17 UTC
I agree that it would be great to provide the Mozilla Firefox/Thunderbird personas function with Notebookbar.  Will the support be similar to the existing Personas, or will we still need Expert Configuration to install and maintain in-house Personas? Currently Personalization only supports downloading from the internet. 

Bug 93599 with my attachment 127480 [details] documents in-house use of Personas using Expert Configuration.
Comment 5 Commit Notification 2018-05-30 16:56:43 UTC
Kshitij Pathania committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e02b3b095e472646c58eecd36d5a27b056dcb99e

tdf#112034 , tdf#107266 label color on basis of persona and persona

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2018-07-02 22:34:10 UTC
A polite ping to Kshitij Pathania:
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ? Otherwise, Could you please explain what's missing?
Thanks
Comment 7 Kshitij 2018-07-06 08:06:02 UTC
Though it's fixed, but label colors doesn't updates immediately but after refreshing the notebookbar, there is work in progress https://gerrit.libreoffice.org/#/c/56864/ . After this we can close this bug.
Comment 8 Commit Notification 2018-07-06 10:43:32 UTC
Kshitij Pathania committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=22211ce6e9f5947f644ef82dd07e99ebc9f8d8a1&h=libreoffice-6-1

tdf#112034 , tdf#107266 label color on basis of persona and persona

It will be available in 6.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2018-08-06 11:38:03 UTC
A polite ping to Kshitij Pathania:
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ? Otherwise, Could you please explain what's missing?
Thanks